<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/SimTrackerHitObj.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimTrackerHitObj.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_tracker_hit_obj_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef EICD_SimTrackerHitOBJ_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define EICD_SimTrackerHitOBJ_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// data model specific includes</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_tracker_hit_data_8h.html">eicd/SimTrackerHitData.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjBase.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// std includes</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;atomic&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">// forward declarations</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>ConstMCParticle;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>SimTrackerHit;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>ConstSimTrackerHit;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_obj.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> : <span class="keyword">public</span> podio::ObjBase {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#af7b01d22334120ef295c98625e945d17">SimTrackerHitObj</a>();</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#af7b01d22334120ef295c98625e945d17">SimTrackerHitObj</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>&amp;);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#af7b01d22334120ef295c98625e945d17">SimTrackerHitObj</a>(<span class="keyword">const</span> podio::ObjectID <span class="keywordtype">id</span>, <a class="code" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a> <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a51376fcea17c1d6f7c09d81bcbcdddc2">~SimTrackerHitObj</a>();</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">   39</a></span>&#160;  <a class="code" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a> <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_obj.html#aff3f4b1739b697f33d9154cc774cb550">   40</a></span>&#160;<a class="code" href="classeic_1_1_const_m_c_particle.html">::eic::ConstMCParticle</a>* <a class="code" href="classeic_1_1_sim_tracker_hit_obj.html#aff3f4b1739b697f33d9154cc774cb550">m_particle</a>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;};</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html_aff3f4b1739b697f33d9154cc774cb550"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html#aff3f4b1739b697f33d9154cc774cb550">eic::SimTrackerHitObj::m_particle</a></div><div class="ttdeci">::eic::ConstMCParticle * m_particle</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8h_source.html#l00040">SimTrackerHitObj.h:40</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html_a51376fcea17c1d6f7c09d81bcbcdddc2"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html#a51376fcea17c1d6f7c09d81bcbcdddc2">eic::SimTrackerHitObj::~SimTrackerHitObj</a></div><div class="ttdeci">virtual ~SimTrackerHitObj()</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8cc_source.html#l00023">SimTrackerHitObj.cc:23</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00030">MCParticleConst.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html">eic::SimTrackerHitData</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00012">SimTrackerHitData.h:12</a></div></div>
<div class="ttc" id="_sim_tracker_hit_data_8h_html"><div class="ttname"><a href="_sim_tracker_hit_data_8h.html">SimTrackerHitData.h</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html">eic::SimTrackerHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8h_source.html#l00027">SimTrackerHitObj.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html_a34c9e809495e57e09ec9537585d981d1"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">eic::SimTrackerHitObj::data</a></div><div class="ttdeci">SimTrackerHitData data</div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8h_source.html#l00039">SimTrackerHitObj.h:39</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_obj_html_af7b01d22334120ef295c98625e945d17"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_obj.html#af7b01d22334120ef295c98625e945d17">eic::SimTrackerHitObj::SimTrackerHitObj</a></div><div class="ttdeci">SimTrackerHitObj()</div><div class="ttdoc">constructor </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_obj_8cc_source.html#l00005">SimTrackerHitObj.cc:5</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
